import { Component, ChangeDetectionStrategy, ViewChild, NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FieldWrapper, FormlyModule } from '@ngx-formly/core';
import { ReactiveFormsModule } from '@angular/forms';
import { NativeScriptFormsModule } from '@nativescript/angular';

class FormlyWrapperFormField extends FieldWrapper {
}
FormlyWrapperFormField.decorators = [
    { type: Component, args: [{
                selector: 'formly-wrapper-ns-form-field',
                template: `
    <StackLayout class="form">
      <StackLayout class="input-field">
        <Label *ngIf="to.label && to.hideLabel !== true" class="label" [text]="to.label"></Label>
        <ng-container #fieldComponent></ng-container>
        <StackLayout class="hr-light"></StackLayout>
        <ng-container *ngIf="showError">
          <formly-validation-message #validationMessage [field]="field"></formly-validation-message>
          <Label class="text-danger" [text]="validationMessage.errorMessage"></Label>
        </ng-container>
      </StackLayout>
    </StackLayout>
  `,
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];
FormlyWrapperFormField.propDecorators = {
    validationMessage: [{ type: ViewChild, args: ['validationMessage',] }]
};

class FormlyNsFormFieldModule {
}
FormlyNsFormFieldModule.decorators = [
    { type: NgModule, args: [{
                declarations: [FormlyWrapperFormField],
                imports: [
                    CommonModule,
                    ReactiveFormsModule,
                    NativeScriptFormsModule,
                    FormlyModule.forChild({
                        wrappers: [
                            {
                                name: 'form-field',
                                component: FormlyWrapperFormField,
                            },
                        ],
                    }),
                ],
                schemas: [NO_ERRORS_SCHEMA],
            },] }
];

/**
 * Generated bundle index. Do not edit.
 */

export { FormlyNsFormFieldModule, FormlyWrapperFormField as ɵa };
//# sourceMappingURL=ngx-formly-nativescript-form-field.js.map
