import { Component, ChangeDetectionStrategy, NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FieldType, FormlyModule } from '@ngx-formly/core';
import { FormlySelectModule } from '@ngx-formly/core/select';
import { ReactiveFormsModule } from '@angular/forms';
import { NativeScriptFormsModule } from '@nativescript/angular';
import { FormlyNsFormFieldModule } from '@ngx-formly/nativescript/form-field';

class FormlyFieldRadio extends FieldType {
    tap(id) {
        const value = this.formControl.value === id ? null : id;
        setTimeout(() => {
            this.formControl.patchValue(value);
            this.formControl.markAsTouched();
        }, 100);
    }
}
FormlyFieldRadio.decorators = [
    { type: Component, args: [{
                selector: 'formly-field-ns-radio',
                template: `
    <ng-container *ngFor="let option of to.options | formlySelectOptions: field | async">
      <GridLayout class="input-field input-sides" rows="auto, auto" columns="*,*">
        <Label class="label" [text]="option.label"></Label>
        <Switch col="1" class="switch input" [checked]="formControl.value === option.value" (tap)="tap(option.value)">
        </Switch>
      </GridLayout>
    </ng-container>
  `,
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];

class FormlyNsRadioFieldModule {
}
FormlyNsRadioFieldModule.decorators = [
    { type: NgModule, args: [{
                declarations: [FormlyFieldRadio],
                imports: [
                    CommonModule,
                    ReactiveFormsModule,
                    NativeScriptFormsModule,
                    FormlyNsFormFieldModule,
                    FormlySelectModule,
                    FormlyModule.forChild({
                        types: [
                            {
                                name: 'radio',
                                component: FormlyFieldRadio,
                                wrappers: ['form-field'],
                            },
                        ],
                    }),
                ],
                schemas: [NO_ERRORS_SCHEMA],
            },] }
];

/**
 * Generated bundle index. Do not edit.
 */

export { FormlyNsRadioFieldModule, FormlyFieldRadio as ɵa };
//# sourceMappingURL=ngx-formly-nativescript-radio.js.map
