import { Component, ChangeDetectionStrategy, NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FieldType, FormlyModule } from '@ngx-formly/core';
import { ReactiveFormsModule } from '@angular/forms';
import { NativeScriptFormsModule } from '@nativescript/angular';
import { FormlyNsFormFieldModule } from '@ngx-formly/nativescript/form-field';

class FormlyFieldText extends FieldType {
}
FormlyFieldText.decorators = [
    { type: Component, args: [{
                selector: 'formly-field-ns-input',
                template: `
    <TextField
      class="input"
      [formlyAttributes]="field"
      [formControl]="formControl"
      [autocorrect]="to.autocorrect"
      [secure]="to.secure"
      [hint]="to.hint"
      [keyboardType]="to.keyboardType"
    >
    </TextField>
  `,
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];

class FormlyNsTextFieldModule {
}
FormlyNsTextFieldModule.decorators = [
    { type: NgModule, args: [{
                declarations: [FormlyFieldText],
                imports: [
                    CommonModule,
                    ReactiveFormsModule,
                    NativeScriptFormsModule,
                    FormlyNsFormFieldModule,
                    FormlyModule.forChild({
                        types: [
                            {
                                name: 'text-field',
                                component: FormlyFieldText,
                                wrappers: ['form-field'],
                            },
                            { name: 'input', extends: 'text-field' },
                            { name: 'string', extends: 'input' },
                            {
                                name: 'number',
                                extends: 'input',
                                defaultOptions: {
                                    templateOptions: {
                                        type: 'number',
                                    },
                                },
                            },
                            {
                                name: 'integer',
                                extends: 'input',
                                defaultOptions: {
                                    templateOptions: {
                                        type: 'number',
                                    },
                                },
                            },
                        ],
                    }),
                ],
                schemas: [NO_ERRORS_SCHEMA],
            },] }
];

/**
 * Generated bundle index. Do not edit.
 */

export { FormlyNsTextFieldModule, FormlyFieldText as ɵa };
//# sourceMappingURL=ngx-formly-nativescript-text-field.js.map
