import { Component, ChangeDetectionStrategy, NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FieldType, FormlyModule } from '@ngx-formly/core';
import { ReactiveFormsModule } from '@angular/forms';
import { NativeScriptFormsModule } from '@nativescript/angular';
import { FormlyNsFormFieldModule } from '@ngx-formly/nativescript/form-field';

class FormlyFieldTextarea extends FieldType {
}
FormlyFieldTextarea.decorators = [
    { type: Component, args: [{
                selector: 'formly-field-ns-textarea',
                template: `
    <TextView
      class="input"
      [formlyAttributes]="field"
      [formControl]="formControl"
      [hint]="to.hint"
      [autocorrect]="to.autocorrect"
      [keyboardType]="to.keyboardType"
    >
    </TextView>
  `,
                changeDetection: ChangeDetectionStrategy.OnPush
            },] }
];

class FormlyNsTextareaFieldModule {
}
FormlyNsTextareaFieldModule.decorators = [
    { type: NgModule, args: [{
                declarations: [FormlyFieldTextarea],
                imports: [
                    CommonModule,
                    ReactiveFormsModule,
                    NativeScriptFormsModule,
                    FormlyNsFormFieldModule,
                    FormlyModule.forChild({
                        types: [
                            {
                                name: 'textarea',
                                component: FormlyFieldTextarea,
                                wrappers: ['form-field'],
                            },
                        ],
                    }),
                ],
                schemas: [NO_ERRORS_SCHEMA],
            },] }
];

/**
 * Generated bundle index. Do not edit.
 */

export { FormlyNsTextareaFieldModule, FormlyFieldTextarea as ɵa };
//# sourceMappingURL=ngx-formly-nativescript-textarea.js.map
